Bug 134360 - Sidebar: paragraph widget: numeric fields become inactive/unaccessible after saving (GTK3)
Summary: Sidebar: paragraph widget: numeric fields become inactive/unaccessible after ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL: https://bugzilla.suse.com/show_bug.cg...
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2020-06-28 11:08 UTC by Gerald Pfeifer
Modified: 2020-07-01 19:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (8.56 MB, application/vnd.oasis.opendocument.presentation)
2020-06-29 16:27 UTC, Gerald Pfeifer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2020-06-28 11:08:51 UTC
How to reproduce:

 1. Open an existing presentation or create a new one.
 2. Position the pointer in a text box and change line spacing (for example)
    with the paragraph widget in the sidebar
 3. "Save as..." the presentation
 4. Observe how the line spacing and other buttons still are functional, but
    the numeric fields in the paragraph widget in the sidebar are greyed out
    and not accessible any longer.

https://bugzilla.suse.com/show_bug.cgi?id=1173410 has a video on the original
report by an openSUSE user.
Comment 1 Buovjaga 2020-06-29 15:39:51 UTC
Not reproduced.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: aac3b0ba565bd0eb090d5fabc00626fd2ff7d808
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 29 June 2020

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 8fe03ea93213bbb19b6ee9862a3966144f0df5cb
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: Skia/Raster; VCL: win
Locale: fi-FI (fi_FI); UI: en-US
Calc: threaded
Comment 2 Atri Bhattacharya 2020-06-29 15:48:01 UTC
You will need a big enough document, which takes some time to save.
Comment 3 Buovjaga 2020-06-29 15:51:20 UTC
(In reply to Atri Bhattacharya from comment #2)
> You will need a big enough document, which takes some time to save.

What does this, entirely normal behaviour, have to do with the issue in question? I was under the impression that the fields remain inaccessible until you close and reopen the document.
Comment 4 Atri Bhattacharya 2020-06-29 15:55:09 UTC
That is correct. If you have a big enough document where it takes some time to save, therefore greying the widgets out for this duration, these widgets remain greyed out even after the document saving has completed and until LO is quit.
Comment 5 Xisco Faulí 2020-06-29 15:56:51 UTC
Are we talking about the 'Increase Paragraph Spacing' and 'Decrease Paragraph Spacing' buttons ?
Comment 6 Atri Bhattacharya 2020-06-29 16:00:02 UTC
(In reply to Xisco Faulí from comment #5)
> Are we talking about the 'Increase Paragraph Spacing' and 'Decrease
> Paragraph Spacing' buttons ?

No, the numerical fields below them for "Above paragraph spacing", "Below paragraph spacing", "Before/After Text Indent", and "First Line Indent".
Comment 7 Buovjaga 2020-06-29 16:01:14 UTC
(In reply to Xisco Faulí from comment #5)
> Are we talking about the 'Increase Paragraph Spacing' and 'Decrease
> Paragraph Spacing' buttons ?

Yes, step 2 is talking about them.

But now it turns out we need an example document to reproduce this.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 8 Gerald Pfeifer 2020-06-29 16:27:39 UTC
Created attachment 162513 [details]
Sample document
Comment 9 Gerald Pfeifer 2020-06-29 16:32:04 UTC
(In reply to Buovjaga from comment #7)
> But now it turns out we need an example document to reproduce this.
> 
> Set to NEEDINFO.
> Change back to UNCONFIRMED after you have provided the document.

Here we go. In my attempts to reproduce this, pretty much any presentation
I tried worked; the one I created and uploaded now did so thrice in a row.

Updated and refined reproducer:

 1. Open "Sample document" attached to this bug report.
 2. Select the text in the textbox on the first page.
 3. Change alignment of that text block to left aligned via the paragraph
    widget in the sidebar.
 4. "Save as..." the presentation
 5. Observe how the numeric fields in the paragraph widget in the sidebar
    are greyed out and not accessible any longer.

Now tested with Version: 7.0.0.0.beta2+
Build ID: 77e4943cc6cf206a45901e5c87fabf0f783c8262
CPU threads: 4; OS: Linux 5.6; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-7-0, Time: 2020-06-24_02:22:53
Comment 10 Buovjaga 2020-06-29 16:34:08 UTC
(In reply to Gerald Pfeifer from comment #8)
> Created attachment 162513 [details]
> Sample document

Thanks, with this I can repro, but only with GTK3
Comment 11 Caolán McNamara 2020-06-29 18:41:14 UTC
looking at the code for this, the odd thing doesn't seem to be why that happens but why it didn't happen in the past.
Comment 12 Caolán McNamara 2020-06-30 08:59:31 UTC
fixed in master and 7-0 with https://cgit.freedesktop.org/libreoffice/core/commit/?id=0313b1eeee7f287650c7c9819984e1a35ee96110
Comment 13 Commit Notification 2020-06-30 12:21:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0313b1eeee7f287650c7c9819984e1a35ee96110

tdf#134360 some sidebar widgets getting stuck in a disabled state

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-06-30 12:37:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a76fcd9f9718b269c0c84534a75114433369bf92

tdf#134360 some sidebar widgets getting stuck in a disabled state

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Buovjaga 2020-06-30 17:59:07 UTC
Verified, thanks

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 21c0deb19890703a9eaf24403e60c4c7546a0bfe
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 30 June 2020
Comment 16 Commit Notification 2020-07-01 08:32:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/194c9eecc30837d6d4a6caaba76ef96745f09db0

Related: tdf#134360 table row/height widgets can get stuck insensitive

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2020-07-01 19:14:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/c4eb732bc38156d2d6c373c6ce3520eecf323d32

Related: tdf#134360 table row/height widgets can get stuck insensitive

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.